The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Malware Stats Grouped by File Type

Prev Next

This URL retrieves the malware statistics grouped by file type for a given Sensor.

Resource URL

GET /sensor/{sensorId}/trafficstats/malwarestatsgroupbyfile

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

fileType

File type for which statistics will be given

String

filesProcessed

Number of files processed for a given file type

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1009/trafficstats/malwarestatsgroupbyfile

Response

{
        "malwareEngineTrafficStatsByFile":
        [
            {
                "fileType": "PE (EXE,DLL,SYS,COM,etc.) Files",
                "filesProcessed": 0
            },
            {
                "fileType": "PDF Files",
                "filesProcessed": 0
            },
            {
                "fileType": "Flash Files",
                "filesProcessed": 0
            },
            {
                "fileType": "MS Office Files",
                "filesProcessed": 0
            },
            {
                "fileType": "APK Files",
                "filesProcessed": 0
            },
            {
                "fileType": "JAR Files",
                "filesProcessed": 0
            },
            {
                "fileType": "Compressed (Zip,RAR) Files",
                "filesProcessed": 0
            }
        ]
    }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

Invalid Sensor: When the device id given is not valid